package javaspacesdatenstrukturen;

import net.jini.core.entry.*;

/**
 * Title:        Verteilte Datenstrukturen
 * Description:  Building Blocks fr verteilte Anwendungen mit JavaSpaces
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MP3Result implements Entry {
    public String inputName;    // Datei, welche kodiert wird
    public byte[] data;         // MP3 Daten
    public String from;         // wer sandte den Request?

    public MP3Result() {  // Default Konstruktor
    }

    public MP3Result(String from) {
        this.from = from;
    }

    public MP3Result(String inputName, byte[] data, String from) {
        System.out.println("[Entry<-MP3Result.MP3Result()]");

        this.inputName = inputName;
        this.data = data;
        this.from = from;
    }
}
