package javaspacesfehlertoleranz;

/**
 * Title:        Fehlertoleranz in JavaSpaces Applikationen
 * Description:  Verteilter Rechenr mit Transaktionen zur Erhhung der Fehlertoleranz
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MultResult extends ResultEntry {

    public MultResult() {}

    public MultResult(Integer a, Integer b, Integer answer) {
        System.out.println("[ResultEntry<-MultResults]"+a+" * "+b);
        this.a = a;
        this.b = b;
        this.answer = answer;
    }

    public String toString() {
        return a + " mal " + b + " = " + answer;
    }
}
