package javaspaceshelloworld;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import net.jini.core.entry.Entry;

public class Message implements Entry {
    public String content;
    public Integer counter;

    public Message() {
    }

    public Message(String content, int initVal) {
        this.content = content;
        counter = new Integer(initVal);
    }

    public String toString() {
        return "Die Message "+content + " wurde " + counter + " Male gelesen.";
    }

    public void increment() {
        counter = new Integer(counter.intValue() + 1);
    }
}
