package javaspaceshelloworld;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import com.sun.jini.mahalo.TxnManager;
import com.sun.jini.mahout.RegistryLocator;
import com.sun.jini.outrigger.*;
import java.rmi.RMISecurityManager;
import net.jini.core.transaction.server.TransactionManager;

public class TransactionManagerAccessor
{

    public TransactionManagerAccessor()
    {
    }

    public static TransactionManager getManager()
    {
        return getManager("TransactionManager");
    }

    public static TransactionManager getManager(String s)
    {
        Object obj = null;
        Object obj1 = null;
        if(System.getSecurityManager() == null)
            System.setSecurityManager(new RMISecurityManager());
        if(System.getProperty("com.sun.jini.use.registry") != null)
        {
            obj = new RegistryLocator();
            obj1 = new RegistryFinder();
        } else
        {
            obj = new DiscoveryLocator();
            obj1 = new LookupFinder();
        }
        return (TransactionManager)((Finder) (obj1)).find(((com.sun.jini.mahout.Locator) (obj)), s);
    }
}
