package javaspacesskalierbarkeit;

import net.jini.core.entry.Entry;

/**
 * Title:        Skalierbarkeit von JavaSpaces Lsungen
 * Description:  Verteilter Rechenr, der ber mehere JavaSpaces die Arbeit verteiltund wieder einsammelt
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MultTask extends TaskEntry {
    public Integer a;
    public Integer b;

    public MultTask() {}

    public MultTask(Integer a, Integer b) {
        System.out.println("[TaskEntry<-MultTask]");

        this.a = a;
        this.b = b;
    }

    public Entry execute() {
        System.out.println("[TaskEntry<-MultTask]execute()");
        Integer answer = new Integer(a.intValue() *
                b.intValue());
        MultResult result = new MultResult(a, b, answer);
        return result;
    }
}
