package javaspacesverteilterrechner;

/**
 * Title:        Distributed Computing
 * Description:  einfacher Rechner, welcher JavaSpaces als Kommunikationsplattform, Objektrepository fr die Kommunikation zwischen Clients und dem Master / Server verwendet.
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class AddResult extends ResultEntry {

    public AddResult() {}

    public AddResult(Integer a, Integer b, Integer answer) {
        System.out.println("[ResultEntry<-AddResult]AddResult: "+a+" + " +b+" Antwort: "+answer);
        this.a = a;
        this.b = b;
        this.answer = answer;
    }

    public String toString() {
        return a + " plus " + b + " = " + answer;
    }
}
