package javaspacehelloworld;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import net.jini.core.lease.Lease;
import net.jini.space.JavaSpace;
import java.util.*;

public class HelloWorld {
    public static void main(String[] args) {
        String msgs[] = {"Wie geht's Dir heute?",
                      "Mir geht's gut! Wie geht's Dir?",
                      "Mir geht's beschissen!",
                      "Ich gehe gleich in die Badi",
                      "Meine Freundin hat mich verlassen!",
                      "Mein Freund hat mich verlassen, er liebt eine andere!"};
        Random r = new Random();
        try {

            JavaSpace space = SpaceAccessor.getSpace();
            System.out.println("[Main]Start");
            Message msg = new Message();
            for (int j=0;j<20; j++) {
              msg.content = msgs[r.nextInt(5)];
              space.write(msg, null, Lease.ANY);
              /*
              Message template = new Message();
              Message result =
                (Message)space.read(template, null, Long.MAX_VALUE);
              System.out.println("[main]Message Read: "+result.content);
              */
              Message template = new Message();
              Message result =
                (Message)space.take(template, null, Long.MAX_VALUE);
              System.out.println("[main]Message Take: "+result.content);
              //
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
