package javaspacesdatenstrukturen;

import net.jini.core.entry.*;

/**
 * Title:        Verteilte Datenstrukturen
 * Description:  Building Blocks fr verteilte Anwendungen mit JavaSpaces
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MP3Request implements Entry {
    public String channelName;  // Empfnger des REquests
    public Integer position;    // Positinsnummer im Channel
    public String inputName;    // Dateipfad
    public byte[] data;         // Inhalt der DAtei
    public String from;         // Request von

    public MP3Request() { // Default Konstruktor
    }

    public MP3Request(String channelName) {
        this.channelName = channelName;
    }

    public MP3Request(String channelName, Integer position) {
        this.channelName = channelName;
        this.position = position;
    }

    public MP3Request(String channelName, Integer position,
        String inputName, byte[] data, String from)
    {
        this.channelName = channelName;
        this.position = position;
        this.inputName = inputName;
        this.data = data;
        this.from = from;
    }

}
