package javaspacesfehlertoleranz;

/**
 * Title:        Fehlertoleranz in JavaSpaces Applikationen
 * Description:  Verteilter Rechenr mit Transaktionen zur Erhhung der Fehlertoleranz
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class AddResult extends ResultEntry {

    public AddResult() {}

    public AddResult(Integer a, Integer b, Integer answer) {
        System.out.println("[ResultEntry<-AddResults]"+a+" + "+b);
        this.a = a;
        this.b = b;
        this.answer = answer;
    }

    public String toString() {
        return a + " plus " + b + " = " + answer;
    }
}
