package javaspacesfehlertoleranz;

import net.jini.core.entry.Entry;

/**
 * Title:        Fehlertoleranz in JavaSpaces Applikationen
 * Description:  Verteilter Rechenr mit Transaktionen zur Erhhung der Fehlertoleranz
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class AddTask extends TaskEntry {
    public Integer a;
    public Integer b;

    public AddTask() {}

    public AddTask(Integer a, Integer b) {
        System.out.println("[TaskEntry<-AddTask]"+a+" + "+b);
        this.a = a;
        this.b = b;
    }

    public Entry execute() {
        Integer answer = new Integer(a.intValue() +
            b.intValue());
        AddResult result = new AddResult(a, b, answer);
        return result;
    }
}
