package javaspaceshelloworld;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import net.jini.core.lease.Lease;
import net.jini.space.JavaSpace;
import java.util.*;

public class HelloWorld {
    public static void main(String[] args) {
        String msgs[] = {"Wie geht's Dir heute?",
                      "Mir geht's gut! Wie geht's Dir?",
                      "Mir geht's beschissen!",
                      "Ich gehe gleich in die Badi",
                      "Meine Freundin hat mich verlassen!",
                      "Mein Freund hat mich verlassen, er liebt eine andere!"};
        Random r = new Random();

        try {
            Message msg = new Message("Ich bin's....", 0);

            JavaSpace space = SpaceAccessor.getSpace();
            space.write(msg, null, Lease.ANY);

            for (;;) {
              msg.content = msgs[r.nextInt(5)];
              System.out.println("[Produzent]HelloWorld - "+msg.content);
              space.write(msg, null, Lease.ANY);

              Message template = new Message();
              Message result = (Message)
                    space.take(template, null, Long.MAX_VALUE);
              System.out.println(result);
              Thread.sleep(1000);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
