package javaspacesmandelbrot;

import net.jini.core.entry.Entry;

/**
 * Title:        Mandelbrot Set als JavaSpaces Anwendung
 * Description:  Einfaches Beispiel fr den Master-Slave Aufbau einer JavaSpaces Anwendung
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class Result implements Entry {
    public Long jobId;      // ID der Mandelbrot Berechnung
    public Integer start;   // Startzeile (Mandelbrot Bild)
    public byte[][] points; // Pixel als Bytewerte

    public Result() {
    }

    public Result(Long jobId, Integer start, byte[][] points) {
        this.jobId = jobId;
        this.start = start;
        this.points = points;
    }
}
