package javaspacesmandelbrot;

import net.jini.core.entry.Entry;

/**
 * Title:        Mandelbrot Set als JavaSpaces Anwendung
 * Description:  Einfaches Beispiel fr den Master-Slave Aufbau einer JavaSpaces Anwendung
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class Task implements Entry {
    public Long jobId;      // ID der Mandelbrot Berechnung

    // Region, fr die das Mandelbrot Set berechnet wird
    public Double x1;       // Start x
    public Double y1;       // Start y
    public Double x2;       // End x
    public Double y2;       // End y

    // Scheibe, die berechnet wird
    public Integer start;   // erste Scanzeile
    public Integer width;   // Scanzeilenbreite
    public Integer height;  // Anzahl Scanzeilen im Bild
    public Integer lines;   // Anzahl Scanzeilen dieser Aufgabe

    public Task() {
    }
}
