package javaspacessynchronisation;

import java.rmi.*;

/**
 * Title:        Synchronisation von JavaSpaces Anwendungen
 * Description:  Einfaches Spiel, welches die Synchronisation mehrerer Tasks zeigt, welche auf Objekte in einem Java Space zugreifen.
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public interface Game extends Remote {
    public void play(String playerName) throws RemoteException;
}
