package javaspacessynchronisation;

import net.jini.space.JavaSpace;

/**
 * Title:        Synchronisation von JavaSpaces Anwendungen
 * Description:  Einfaches Spiel, welches die Synchronisation mehrerer Tasks zeigt, welche auf Objekte in einem Java Space zugreifen.
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

// Interface, welches vom GameService's Proxy implementiert wird

public interface GameServiceInterface {
    public void setSpace(JavaSpace space);
    public Game joinGame(String name);
    public void leaveGame();
}

