package javaspacessynchronisation;

import net.jini.core.entry.Entry;

/**
 * Title:        Synchronisation von JavaSpaces Anwendungen
 * Description:  Einfaches Spiel, welches die Synchronisation mehrerer Tasks zeigt, welche auf Objekte in einem Java Space zugreifen.
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class Ticket implements Entry {
    public String gameName;
    public Game game;

    public Ticket() {
    }

    public Ticket(String gameName) {
        this.gameName = gameName;
    }

    public Ticket(String gameName, Game game) {
        this.gameName = gameName;
        this.game = game;
    }
}
