package javaspacesverteilterrechner;

/**
 * Title:        Distributed Computing
 * Description:  einfacher Rechner, welcher JavaSpaces als Kommunikationsplattform, Objektrepository fr die Kommunikation zwischen Clients und dem Master / Server verwendet.
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MultResult extends ResultEntry {

    public MultResult() {}

    public MultResult(Integer a, Integer b, Integer answer) {
        this.a = a;
        this.b = b;
        this.answer = answer;
        System.out.println("[ResultEntry<-MultiResult]MultiResult: "+a+" * " +b+" Antwort: "+answer);
    }

    public String toString() {
        return a + " mal " + b + " = " + answer;
    }
}
