package javaspacesverteilterrechner;

import net.jini.core.entry.Entry;

/**
 * Title:        Distributed Computing
 * Description:  einfacher Rechner, welcher JavaSpaces als Kommunikationsplattform, Objektrepository fr die Kommunikation zwischen Clients und dem Master / Server verwendet.
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MultTask extends TaskEntry {
    public Integer a;
    public Integer b;

    public MultTask() {}

    public MultTask(Integer a, Integer b) {
        this.a = a;
        this.b = b;
    }

    public Entry execute() {
        Integer answer = new Integer(a.intValue() *
                b.intValue());
        MultResult result = new MultResult(a, b, answer);
        System.out.println("[TaskEntry<-MultTask]execute()");
        return result;
    }
}
